# AP4_String Class Reference

`#include <Ap4String.h>`

List of all members.

## Public Member Functions
| AP4_String ()
| AP4_String (const char *s)
| AP4_String (const char *s, AP4_Size size)
| AP4_String (const AP4_String &s)
| AP4_String (AP4_Size size)
| ~AP4_String ()
const AP4_String & | operator= (const AP4_String &s)
const AP4_String & | operator= (const char *s)
char | operator[] (unsigned int index) const
const bool | operator== (const AP4_String &s) const
const bool | operator!= (const AP4_String &s) const
const bool | operator== (const char *s) const
const bool | operator!= (const char *s) const
AP4_Size | GetLength () const
const char * | GetChars () const
char * | UseChars ()
void | Assign (const char *chars, AP4_Size size)
int | Find (char c, unsigned int start=0) const

## Detailed Description

Definition at line 41 of file Ap4String.h.

## Constructor & Destructor Documentation

AP4_String::AP4_String | ( |  | ) |

AP4_String::AP4_String | ( | const char * | s | ) |

AP4_String::AP4_String | ( | const char * | s,
|  | AP4_Size | size |
| ) |  |  |

AP4_String::AP4_String | ( | const AP4_String & | s | ) |

AP4_String::AP4_String | ( | AP4_Size | size | ) | `[explicit]`

AP4_String::~AP4_String | ( |  | ) |

## Member Function Documentation

const AP4_String& AP4_String::operator= | ( | const AP4_String & | s | ) |

const AP4_String& AP4_String::operator= | ( | const char * | s | ) |

char AP4_String::operator[] | ( | unsigned int | index | ) | const`[inline]`

Definition at line 57 of file Ap4String.h.

const bool AP4_String::operator== | ( | const AP4_String & | s | ) | const

const bool AP4_String::operator!= | ( | const AP4_String & | s | ) | const`[inline]`

Definition at line 61 of file Ap4String.h.

const bool AP4_String::operator== | ( | const char * | s | ) | const

const bool AP4_String::operator!= | ( | const char * | s | ) | const`[inline]`

Definition at line 63 of file Ap4String.h.

AP4_Size AP4_String::GetLength | ( |  | ) | const`[inline]`

Definition at line 66 of file Ap4String.h.

const char* AP4_String::GetChars | ( |  | ) | const`[inline]`

Definition at line 67 of file Ap4String.h.

Referenced by AP4_VisualSampleEntry::GetCompressorName(), and AP4_VideoSampleDescription::GetCompressorName().

char* AP4_String::UseChars | ( |  | ) | `[inline]`

Definition at line 68 of file Ap4String.h.

void AP4_String::Assign | ( | const char * | chars,
|  | AP4_Size | size |
| ) |  |  |

int AP4_String::Find | ( | char | c,
|  | unsigned int | start = `0` |
| ) |  |  | const

The documentation for this class was generated from the following file:

- Ap4String.h